package com.goafanti.user.bo;

import com.goafanti.common.model.UserIdentity;

public class UserIdentityBo extends UserIdentity {
	private Long	number;
	private String	mobile;
	private String  workUnit;
	private String  professionalTitle;
	private String introduction;
	private String headPortraitUrl;
	private String province0;
	private String city0;
	private String area0;
	private String industry0;
	private String countInterest;
	private String interest;
	private String reservationCount;
	private String easemobName;
	public String getProvince0() {
		return province0;
	}

	public void setProvince0(String province0) {
		this.province0 = province0;
	}

	public String getCity0() {
		return city0;
	}

	public void setCity0(String city0) {
		this.city0 = city0;
	}

	public String getArea0() {
		return area0;
	}

	public void setArea0(String area0) {
		this.area0 = area0;
	}

	public String getIndustry0() {
		return industry0;
	}

	public void setIndustry0(String industry0) {
		this.industry0 = industry0;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public String getProfessionalTitle() {
		return professionalTitle;
	}

	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	

	
	public String getIntroduction() {
		return introduction;
	}

	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}

	public Long getNumber() {
		return number;
	}

	public void setNumber(Long number) {
		this.number = number;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getHeadPortraitUrl() {
		return headPortraitUrl;
	}

	public void setHeadPortraitUrl(String headPortraitUrl) {
		this.headPortraitUrl = headPortraitUrl;
	}

	public String getCountInterest() {
		if(countInterest!=null){
			return String.valueOf(Integer.valueOf(countInterest)+20);
		}
		return "20";
	}

	public void setCountInterest(String countInterest) {
		this.countInterest = countInterest;
	}

	@Override
	public String toString() {
		return "UserIdentityBo [number=" + number + ", mobile=" + mobile + ", workUnit=" + workUnit
				+ ", professionalTitle=" + professionalTitle + ", introduction=" + introduction + ", headPortraitUrl="
				+ headPortraitUrl + ", province0=" + province0 + ", city0=" + city0 + ", area0=" + area0
				+ ", industry0=" + industry0 + ", countInterest=" + countInterest + "]";
	}

	public String getInterest() {
		return interest;
	}

	public void setInterest(String interest) {
		this.interest = interest;
	}

	public String getReservationCount() {
		return reservationCount;
	}

	public void setReservationCount(String reservationCount) {
		this.reservationCount = reservationCount;
	}

	public String getEasemobName() {
		return easemobName;
	}

	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}

	
	

}
